
Katello - Bug #7241

Need to enable Red Hat Common ( rh-common ) repository during %post of kickstart
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1132790

This repository defaults to 'false' and no clients will get access to puppet which is contained within the rh-common repository.

We need to add a snippet to the Satellite 6 Katello kickstart template before we install puppet to enable this repo:

subscription-manager repos --enable rhel-<%= @host.operatingsystem.major -%>-server-rh-common-rpms

Associated revisions

Revision 615f1ba9 - 08/22/2014 06:02 PM - Partha Aji

Fixes #7241/bz1132790 - Enable rh common for ks template

Added code to enable rhel RH common repo before installing the katello-agent.

This needs to be enabled by default for katello-agent to install

Revision d55869c0 - 08/25/2014 09:44 AM - Partha Aji

Merge pull request #4606 from parthaa/ks_template

Fixes #7241/bz1132790 - Enable rh common for ks template

History

#1 - 08/22/2014 04:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 63

- Pull request https://github.com/Katello/katello/pull/4606 added

- Pull request deleted ()

#2 - 08/25/2014 08:33 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/25/2014 10:01 AM - Partha Aji

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|615f1ba9b19483b5bde2ee186c30e4d7b7efce76.

#4 - 08/27/2014 09:23 AM - Eric Helms

- Target version changed from 63 to 55

#5 - 09/15/2014 02:20 PM - Eric Helms
https://bugzilla.redhat.com/show_bug.cgi?id=1132790
https://projects.theforeman.org/projects/katello/repository/katello/revisions/615f1ba9b19483b5bde2ee186c30e4d7b7efce76


- translation missing: en.field_release set to 13
